/********************************************************************
 * Copyright © 2004 VHA. All rights reserved
 ********************************************************************/
package gov.va.med.fw.security;

import javax.security.auth.login.LoginException;

public class PasswordSuspendedException extends LoginException {

	private static final long serialVersionUID = -3831983203380309589L;

	public PasswordSuspendedException() {
		super();
	}

	public PasswordSuspendedException(String msg) {
		super(msg);
	}

	/**
	 * A constructor for the specific exception message and a cause
	 * 
	 * @param msg
	 *            An exception message
	 * @param cause
	 *            A cause of this exception
	 */
	public PasswordSuspendedException(String msg, Throwable cause) {
		this(msg);
		initCause(cause);
	}
}
